QXmpp: QXmppCallStream Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppCallStream Class Reference
Inheritance diagram for QXmppCallStream:

## Public Member Functions
QString | creator () const
QString | media () const
QString | name () const
int | id () const
void | setReceivePadCallback (std::function< void(GstPad *)> cb)
void | setSendPadCallback (std::function< void(GstPad *)> cb)
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)
Q_SIGNAL void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
Q_SIGNAL void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
Q_SIGNAL void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Friends
class | QXmppCallStreamPrivate
class | QXmppCall
class | QXmppCallPrivate

## Additional Inherited Members
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
| Logs a debugging message.
void | info (const QString &message)
| Logs an informational message.
void | warning (const QString &message)
| Logs a warning message.
void | logReceived (const QString &message)
| Logs a received packet.
void | logSent (const QString &message)
| Logs a sent packet.

## Detailed Description

The QXmppCallStream class represents an RTP stream in a VoIP call.

Note
  THIS API IS NOT FINALIZED YET

Since
  QXmpp 1.3

## Member Function Documentation

## ◆ creator()

QString QXmppCallStream::creator | ( |  | ) | const

Returns the JID of the creator of the call stream.

## ◆ id()

int QXmppCallStream::id | ( |  | ) | const

Returns the local ID of the stream.

## ◆ media()

QString QXmppCallStream::media | ( |  | ) | const

Returns the media type of the stream, "audio" or "video".

## ◆ name()

QString QXmppCallStream::name | ( |  | ) | const

Returns the name of the stream (e.g. "webcam" or "voice").

There is no defined format and there are no predefined values for this.

## ◆ setReceivePadCallback()

void QXmppCallStream::setReceivePadCallback | ( | std::function< void(GstPad *)> | cb | ) |

Sets a gstreamer receive pad callback.

Can be used to process or display the received data.

## ◆ setSendPadCallback()

void QXmppCallStream::setSendPadCallback | ( | std::function< void(GstPad *)> | cb | ) |

Sets a gstreamer send pad callback.

Can be used to send the stream input.

The documentation for this class was generated from the following files:

- QXmppCallStream.h
- QXmppCallStream.cpp